package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.PilotBchBop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PilotBchBopMapper {
    /**
     * 从试点机构表获取指定机构
     */
    PilotBchBop selectPilotBchBop(@Param(value = "accBch") String bch);

    /**
     *通过行号查询试点机构
     */
    PilotBchBop selectPilotBchBopByBranch(String branch);

    /**
     * 获取所有起效的试点机构
     */
    List<PilotBchBop> selectAllPilotBchBop();

    /**
     * 删除表内所有记录
     */
    int deleteAllPilotBchBop();

    int insert(PilotBchBop record);

    int insertSelective(PilotBchBop record);

    /**
     * 更新记账机构信息
     */
    int updateAccbchBySubbranch(@Param("subbranch") String subbranch , @Param("accbch") String accbch );
}
